Skip to main content
GET
List subscriptions

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Query Parameters

limit
integer
default:20

The number of items to fetch. Defaults to 20.

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. This can be populated by the next_cursor value returned from the initial request.

customer_id
string | null
customer_id[]
string[] | null
external_customer_id
string | null
external_customer_id[]
string[] | null
plan_id
string | null
external_plan_id
string | null
status
enum<string> | null
Available options:
active,
ended,
upcoming
status[]
enum<string>[] | null
Available options:
active,
ended,
upcoming
created_at[gte]
string<date-time> | null
created_at[gt]
string<date-time> | null
created_at[lt]
string<date-time> | null
created_at[lte]
string<date-time> | null

Response

OK

data
Subscription · object[]
required
pagination_metadata
PaginationMetadata · object
required